Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Timer_Node_T Class Template Reference

Maintains the state associated with a Timer entry. More...

`#include <Timer_Queue_T.h>`

Collaboration diagram for ACE_Timer_Node_T:

[legend]
List of all members.

## Public Types
typedef ACE_Timer_Node_Dispatch_Info_T< TYPE> | DISPATCH_INFO
| Useful typedef ..
## Public Methods
| ACE_Timer_Node_T (void)
| Default constructor.
| ~ACE_Timer_Node_T (void)
| Dtor.
void | set (const TYPE &type, const void *a, const ACE_Time_Value &t, const ACE_Time_Value &i, ACE_Timer_Node_T<TYPE> *n, long timer_id)
| singly linked list.
void | set (const TYPE &type, const void *a, const ACE_Time_Value &t, const ACE_Time_Value &i, ACE_Timer_Node_T<TYPE> *p, ACE_Timer_Node_T<TYPE> *n, long timer_id)
| doubly linked list version.
TYPE& | get_type (void)
| Get the type.
void | set_type (TYPE &type)
| Set the type.
const void* | get_act (void)
| Get the asynchronous completion token.
void | set_act (void *act)
| set the asynchronous completion token.
const ACE_Time_Value& | get_timer_value (void) const
| get the timer value.
void | set_timer_value (const ACE_Time_Value &timer_value)
| set the timer value.
const ACE_Time_Value& | get_interval (void) const
| get the timer interval.
void | set_interval (const ACE_Time_Value &interval)
| Set the timer interval.
ACE_Timer_Node_T<TYPE>* | get_prev (void)
| get the previous pointer.
void | set_prev (ACE_Timer_Node_T<TYPE> *prev)
| set the previous pointer.
ACE_Timer_Node_T<TYPE>* | get_next (void)
| get the next pointer.
void | set_next (ACE_Timer_Node_T<TYPE> *next)
| set the next pointer.
long | get_timer_id (void) const
| get the timer_id.
void | set_timer_id (long timer_id)
| set the timer_id.
void | get_dispatch_info (ACE_Timer_Node_Dispatch_Info_T <TYPE> &info)
| Get the dispatch info. The dispatch information is got through <info>. This form helps us in preventing allocation and deleting data along the criticl path. TODO: We may want to have a copying version too, so that our interface will be complete.. More...
void | dump (void) const
| Dump the state of an TYPE.
## Private Attributes
TYPE | type_
| Type of object stored in the Queue.
const void* | act_
| Asynchronous completion token associated with the timer.
ACE_Time_Value | timer_value_
| Time until the timer expires.
ACE_Time_Value | interval_
| If this is a periodic timer this holds the time until the next timeout.
ACE_Timer_Node_T<TYPE>* | prev_
| Pointer to previous timer.
ACE_Timer_Node_T<TYPE>* | next_
| Pointer to next timer.
long | timer_id_
| Id of this timer (used to cancel timers before they expire).

## Detailed Description

### template<class TYPE> template class ACE_Timer_Node_T

Maintains the state associated with a Timer entry.

## Member Typedef Documentation

template<classTYPE>
typedef ACE_Timer_Node_Dispatch_Info_T<TYPE> ACE_Timer_Node_T<TYPE>::DISPATCH_INFO

| Useful typedef ..

## Constructor & Destructor Documentation

template<classTYPE>
ACE_Timer_Node_T<TYPE>::ACE_Timer_Node_T<TYPE> ( | void )

| Default constructor.

template<classTYPE>
ACE_Timer_Node_T<TYPE>::~ACE_Timer_Node_T<TYPE> ( | void )

| Dtor.

## Member Function Documentation

template<classTYPE>
void ACE_Timer_Node_T<TYPE>::dump ( | void ) const`[inline]`

| Dump the state of an TYPE.

template<classTYPE>
ACE_INLINE const void * ACE_Timer_Node_T< TYPE >::get_act ( | void )

| Get the asynchronous completion token.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::get_dispatch_info ( | ACE_Timer_Node_Dispatch_Info_T< TYPE >& info )

| Get the dispatch info. The dispatch information is got through <info>. This form helps us in preventing allocation and deleting data along the criticl path. TODO: We may want to have a copying version too, so that our interface will be complete.. @

template<classTYPE>
ACE_INLINE const ACE_Time_Value & ACE_Timer_Node_T< TYPE >::get_interval ( | void ) const

| get the timer interval.

template<classTYPE>
ACE_INLINE ACE_Timer_Node_T< TYPE >* ACE_Timer_Node_T< TYPE >::get_next ( | void )

| get the next pointer.

template<classTYPE>
ACE_INLINE ACE_Timer_Node_T< TYPE >* ACE_Timer_Node_T< TYPE >::get_prev ( | void )

| get the previous pointer.

template<classTYPE>
ACE_INLINE long ACE_Timer_Node_T< TYPE >::get_timer_id ( | void ) const

| get the timer_id.

template<classTYPE>
ACE_INLINE const ACE_Time_Value & ACE_Timer_Node_T< TYPE >::get_timer_value ( | void ) const

| get the timer value.

template<classTYPE>
ACE_INLINE TYPE & ACE_Timer_Node_T< TYPE >::get_type ( | void )

| Get the type.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set ( | const TYPE & type,
| const void * a,
| const ACE_Time_Value & t,
| const ACE_Time_Value & i,
| ACE_Timer_Node_T< TYPE >* p,
| ACE_Timer_Node_T< TYPE >* n,
| long timer_id )

| doubly linked list version.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set ( | const TYPE & type,
| const void * a,
| const ACE_Time_Value & t,
| const ACE_Time_Value & i,
| ACE_Timer_Node_T< TYPE >* n,
| long timer_id )

| singly linked list.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_act ( | void * act )

| set the asynchronous completion token.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_interval ( | const ACE_Time_Value & interval )

| Set the timer interval.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_next ( | ACE_Timer_Node_T< TYPE >* next )

| set the next pointer.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_prev ( | ACE_Timer_Node_T< TYPE >* prev )

| set the previous pointer.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_timer_id ( | long timer_id )

| set the timer_id.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_timer_value ( | const ACE_Time_Value & timer_value )

| set the timer value.

template<classTYPE>
ACE_INLINE void ACE_Timer_Node_T< TYPE >::set_type ( | TYPE & type )

| Set the type.

## Member Data Documentation

template<classTYPE>
const void * ACE_Timer_Node_T<TYPE>::act_`[private]`

| Asynchronous completion token associated with the timer.

template<classTYPE>
ACE_Time_Value ACE_Timer_Node_T<TYPE>::interval_`[private]`

| If this is a periodic timer this holds the time until the next timeout.

template<classTYPE>
ACE_Timer_Node_T< TYPE >* ACE_Timer_Node_T<TYPE>::next_`[private]`

| Pointer to next timer.

template<classTYPE>
ACE_Timer_Node_T< TYPE >* ACE_Timer_Node_T<TYPE>::prev_`[private]`

| Pointer to previous timer.

template<classTYPE>
long ACE_Timer_Node_T<TYPE>::timer_id_`[private]`

| Id of this timer (used to cancel timers before they expire).

template<classTYPE>
ACE_Time_Value ACE_Timer_Node_T<TYPE>::timer_value_`[private]`

| Time until the timer expires.

template<classTYPE>
TYPE ACE_Timer_Node_T<TYPE>::type_`[private]`

| Type of object stored in the Queue.

The documentation for this class was generated from the following files:

- Timer_Queue_T.h
- Timer_Queue_T.cpp
- Timer_Queue_T.i